################################################################################
# development
################################################################################

kind: pipeline
type: docker
name: (main) build flutter web and push to artifactory

steps:
  - name: pwa tag
    image: alpine/git:2.40.1
    commands:
      - APP_VERSION=$(git rev-list HEAD --count --no-merges)-$DRONE_BRANCH
      - echo "APP Version tags $APP_VERSION"
      - echo -n "$APP_VERSION" >> .tags

  - name: build pwa
    image: plugins/docker
    settings:
      dockerfile: "Dockerfile"
      username: "cicd"
      password:
        from_secret: "REGISTRY_PASSWORD"
      repo: "artifactory.ravanertebat.ir/tm/pwa"
      registry: "artifactory.ravanertebat.ir"
      build_args:
        - FLUTTER_VERSION=3.29.3
        - NGINX=1.25.2-alpine3.18-slim

node:
  tag: aecde-docker-runner

trigger:
  branch:
    - main
  event:
    - custom